#set root logger level to DEBUG and its only appender to A1.
#log4j.rootLogger=INFO, A1,XS
log4j.rootLogger.application=move3d
log4j.logger.move4d=INFO, A1,XS

log4j.logger.move4d.plot=TRACE,SGP
log4j.additivity.planners.plot=false

# A1 is set to be a ConsoleAppender.
log4j.appender.A1=org.apache.log4j.ConsoleAppender

# A1 uses PatternLayout.
log4j.appender.A1.layout=org.apache.log4j.ColorPatternLayout
log4j.appender.A1.layout.ConversionPattern=%d{HH:mm:ss,SSS} %-5p %c %x - %m%n
#log4j.appender.A1.layout.ConversionPattern=%-5p %c %x - %m%n

# XS uses XML socket 
log4j.appender.XS=org.apache.log4j.XMLSocketAppender

log4j.appender.XS.RemoteHost=127.0.0.1
log4j.appender.XS.Port=4448
log4j.appender.XS.layout=org.apache.log4j.xml.XMLLayout
log4j.appender.XS.layout.properties=true
log4j.appender.XS.layout.locationinfo=true

# SGP uses Socket
log4j.appender.SGP=org.apache.log4j.PlotSocketAppender

log4j.appender.SGP.RemoteHost=127.0.0.1
log4j.appender.SGP.Port=4449
log4j.appender.SGP.layout=org.apache.log4j.PatternLayout
log4j.appender.SGP.layout.ConversionPattern=%m%n
